%define pypi_name feedparser

Name:		python-feedparser
Version:	6.0.11
Release:	%mkrel 1
Summary:	Parse RSS and Atom feeds in Python
License:	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/feedparser
Source0:	%{pypi_source}
BuildArch:	noarch

%description
Feedparser is the "Universal Feed Parser" library for python, which
handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds.

%package -n python3-%{pypi_name}
Summary:	Parse RSS and Atom feeds in Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(chardet)
BuildRequires:	python3dist(sgmllib3k)
Requires:	python3dist(chardet)

%description -n python3-%{pypi_name}
Universal Feed Parser is a Python 3 module for downloading and parsing
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91,
Userland RSS 0.91, RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0,
Atom 0.3, Atom 1.0, and CDF feeds. It also parses several popular extension
modules, including Dublin Core and Apple's iTunes extensions.

%prep
%setup -q -n %{pypi_name}-%{version}

find -type f -exec sed -i 's/\r//' {} ';'
find -type f -exec chmod 0644 {} ';'

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files feedparser

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests/runtests.py || :

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst NEWS


%changelog
* Wed Dec 27 2023 daviddavid <daviddavid> 6.0.11-1.mga10
+ Revision: 2022013
- new version: 6.0.11

* Sat Dec 09 2023 wally <wally> 6.0.10-2.mga10
+ Revision: 2016532
- rebuild for py3.12

* Wed Aug 24 2022 papoteur <papoteur> 6.0.10-1.mga9
+ Revision: 1879905
- new 6.0.10

* Thu Mar 24 2022 umeabot <umeabot> 6.0.8-3.mga9
+ Revision: 1824703
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 6.0.8-2.mga9
+ Revision: 1773597
- Rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 6.0.8-1.mga9
+ Revision: 1743252
- new version 6.0.8

* Mon Mar 15 2021 wally <wally> 6.0.2-2.mga9
+ Revision: 1703190
- rebuild for python 3.9

* Mon Jan 04 2021 daviddavid <daviddavid> 6.0.2-1.mga8
+ Revision: 1668580
- new version: 6.0.2

* Wed Jul 22 2020 ovitters <ovitters> 5.2.1-9.mga8
+ Revision: 1608049
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 5.2.1-8.mga8
+ Revision: 1531421
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 5.2.1-7.mga8
+ Revision: 1440232
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 5.2.1-6.mga7
+ Revision: 1352572
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.2.1-5.mga7
+ Revision: 1288861
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 daviddavid <daviddavid> 5.2.1-4.mga7
+ Revision: 1236776
- rename python-feedparser to python2-feedparser
- remove conflicting sgmllib.py file as it is provided by python3-sgmllib3k pkg

* Sat Aug 05 2017 pterjan <pterjan> 5.2.1-3.mga7
+ Revision: 1135421
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 5.2.1-2.mga6
+ Revision: 970721
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 5.2.1-1.mga6
+ Revision: 888031
- new version: 5.2.1
- update URL and Source URL
- update file list

* Fri Oct 09 2015 daviddavid <daviddavid> 5.1.3-8.mga6
+ Revision: 888025
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 5.1.3-7.mga5
+ Revision: 744859
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.1.3-6.mga5
+ Revision: 728493
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.1.3-5.mga5
+ Revision: 688030
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 5.1.3-4.mga5
+ Revision: 628639
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 5.1.3-3.mga4
+ Revision: 543420
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 5.1.3-2.mga4
+ Revision: 498595
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Sep 07 2013 philippem <philippem> 5.1.3-1.mga4
+ Revision: 475701
- update to 5.1.3, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 5.1.2-3.mga3
+ Revision: 378833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 philippem <philippem> 5.1.2-2.mga3
+ Revision: 264475
- correct files mode

* Tue Jun 12 2012 solbu <solbu> 5.1.2-1.mga3
+ Revision: 259940
- Fix BuildRequires
- Drop useless README
- Fix url
+ shlomif <shlomif>
- New version - 5.1.2 - tests are failing

* Thu Nov 17 2011 philippem <philippem> 5.0.1-2.mga2
+ Revision: 168375
- correct files mode

* Mon May 09 2011 philippem <philippem> 5.0.1-1.mga1
+ Revision: 96616
- 5.0.1 (fixes CVE-2009-5065, CVE-2011-1156, CVE-2011-1157, CVE-2011-1158)

* Thu Feb 17 2011 wally <wally> 5.0-1.mga1
+ Revision: 53282
- enable check
- fix file list
- new version 5.0
- drop buildroot definition
- clean .spec a bit
- imported package python-feedparser


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.1-9mdv2011.0
+ Revision: 591517
- fix build (python byte code is compiled by feedparser by default)

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1-8mdv2010.1
+ Revision: 523786
- rebuilt for 2010.1

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 4.1-7mdv2009.1
+ Revision: 319129
- rebuild with python 2.6
- better source location

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 4.1-6mdv2009.0
+ Revision: 259603
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 4.1-5mdv2009.0
+ Revision: 247412
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.1-3mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.1-3mdv2007.0
+ Revision: 96541
- Rebuild against new python

  + Michael Scherer <misc@mandriva.org>
    - Import python-feedparser

* Fri Jul 14 2006 Michael Scherer <misc@mandriva.org> 4.1-2mdv2007.0
- Rebuild for new extension

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 4.1-1mdk
- update to last release
- make it rpmbuildupdatable
- from Benoît Guédas <benoit@guedas.com>
  - First Mandriva release

